<?php

Yii::import('application.modules.core_models.models._base.BaseModel');

/**
 * This is the model base class for the table "unsubscribe_email".
 * DO NOT MODIFY THIS FILE! It is automatically generated by giix.
 * If any changes are necessary, you must set or override the required
 * property or method in class "UnsubscribeEmail".
 *
 * Columns in table "unsubscribe_email" available as properties of the model,
 * and there are no model relations.
 *
 * @property integer $id
 * @property string $email
 * @property string $config
 * @property string $date_added
 * @property string $date_updated
 *
 */
abstract class BaseUnsubscribeEmail extends BaseModel
{

    public static function model($className = __CLASS__)
    {
        return parent::model($className);
    }

    public function tableName()
    {
        return 'unsubscribe_email';
    }

    public static function label($n = 1)
    {
        return Yii::t('app', 'Unsubscribe Email|Unsubscribe Email', $n);
    }

    public static function representingColumn()
    {
        return 'email';
    }

    public function rules()
    {
        return array(
            array('email', 'required'),
            array('id, email, config, date_added, date_updated', 'safe', 'on' => 'search'),
        );
    }

    public function relations()
    {
        return array(
        );
    }

    public function pivotModels()
    {
        return array(
        );
    }

    public function attributeLabels()
    {
        return array(
            'id' => Yii::t('app', 'ID'),
            'email' => Yii::t('app', 'Email'),
            'config' => Yii::t('app', 'Config'),
        );
    }

    public function search()
    {
        $criteria = new CDbCriteria;

        $criteria->compare('id', $this->id);
        $criteria->compare('email', $this->email, true);
        $criteria->compare('config', $this->config, true);

        return new CActiveDataProvider($this, array(
            'criteria' => $criteria,
            'pagination' => array('pageSize' => 100)
        ));
    }

}
